import Handler from './Handler';
import { fabric } from 'fabric';
/**
 * 针对画布添加内容或者替换内容
 */
declare class ColorHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 向画布中添加图片
     * @param url 图片url
     */
    addImg(url: string | ArrayBuffer): Promise<unknown>;
    /**
     * 向画布中添加图片2
     * @param url 图片url
     */
    addImgByUrl(url: string): Promise<unknown>;
    /**
     * 向画布中添加文字
     */
    addTextbox(text: string, option?: {
        [key: string]: unknown;
    }): fabric.Textbox;
    /**
     * 向画布中添加json
     */
    addJson(json: {
        [key: string]: string;
    } | string): void;
    /**
     * 重新设置json的坐标信息
     */
    private resetAddJsonPosition;
    /**
     * 替换图片
     * @param url 要替换的图片
     * @param callback 返回数据的回调
     * @param fit 适配的模式，默认是contain不拉伸的情况下缩放图片
     * @returns
     */
    replaceImg(url: string, callback?: (json: any) => void, fit?: string): Promise<unknown>;
    private setObjectsPosition;
}
export default ColorHandler;
