import { fabric } from 'fabric';
import Handler from './Handler';
import { CropImage } from './cropping/CropImage';
export default class CropImageHandlerV2 {
    private handler;
    private originIndex;
    private orginSrc;
    private isCropping;
    originImg: fabric.Image;
    cropImg: typeof CropImage;
    constructor(handler: Handler);
    /**
     * 启动裁剪
     * @param element 要裁剪的元素
     * @param index 元素所在的图层索引
     * @param orginSrc 元素的图片src
     */
    cropStart(element: fabric.Image, index?: number, orginSrc?: string): void;
    /**
     * 完成裁剪
     * @param cropImg 裁剪处理后的图
     */
    cropDone(cropImg: any): void;
    /**
     * 取消裁剪
     */
    cropCancel(): void;
    /**
     * 当前是否正在进行裁剪
     * @returns 是否正在进行裁剪
     * */
    isCroping(): boolean;
}
