import Handler from './Handler';
import { IJsonData } from '../interface';
interface IExport {
    format?: string;
    quality?: number;
    multiplier?: number;
}
/**
 * 导出画布元素设置
 */
declare class ExportHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    constructor(handler: Handler);
    /**
     * 画布导出图片
     * @returns 图片结果
     */
    exportImageAsync({ format, quality, multiplier }: IExport): Promise<string>;
    /**
     * 获取画布导出的位置
     * @returns 位置坐标信息
     */
    private getExportPosition;
    /**
     * 获取画布中渲染内容的json
     * @returns 渲染json
     */
    getRenderJSON(): IJsonData;
}
export default ExportHandler;
