import { Psd } from 'ag-psd';
import { IJsonData } from '../interface';
import 'ag-psd/initialize-canvas';
declare class ParsePSDHandler {
    /**
     * 解析PSD文件
     * @param data psd文件文件ArrayBuffer
     * @param hasGroup 解析的时候是否保留组元素，默认为true
     * @returns fabric的数据结构
     */
    parsePSD(data: ArrayBuffer | Psd, hasGroup?: boolean): IJsonData;
    /**
     * 创建背景层
     * @param width 背景宽
     * @param height 背景高
     * @returns 背景层元素
     */
    private createBgLayer;
    private deleteGroup;
    private removeObjectsByIds;
}
export default ParsePSDHandler;
