import Handler from './Handler';
import { IKeyEvent } from '../interface';
declare class ShortcutHandler {
    handler: Handler;
    keyEvent: IKeyEvent;
    constructor(handler: Handler);
    /**
     * Whether keydown Escape
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isEscape: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Q
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isQ: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown W
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isW: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Delete or Backpsace
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isDelete: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Arrow
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isArrow: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + A
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlA: (e: KeyboardEvent) => boolean;
    isCommandA: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + C
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlC: (e: KeyboardEvent) => boolean;
    isCommandC: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + V
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlV: (e: KeyboardEvent) => boolean;
    isCommandV: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + Z
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlZ: (e: KeyboardEvent) => boolean;
    isCommandZ: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + Y
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlY: (e: KeyboardEvent) => boolean;
    isCommandY: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown O
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isO: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown P
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isP: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + X
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlX: (e: KeyboardEvent) => boolean;
    isCommandX: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + G
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlG: (e: KeyboardEvent) => boolean;
    isCommandG: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + shift + G
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlShiftG: (e: KeyboardEvent) => boolean;
    isCommandShiftG: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + 加号
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlAdd: (e: KeyboardEvent) => boolean;
    isCommandAdd: (e: KeyboardEvent) => boolean;
    /**
     * Whether keydown Ctrl + 减号
     *
     * @param {KeyboardEvent} e
     * @returns
     */
    isCtrlReduce: (e: KeyboardEvent) => boolean;
    isCommandReduce: (e: KeyboardEvent) => boolean;
}
export default ShortcutHandler;
