import Handler from './Handler';
/**
 * 画布视窗大小的调节
 */
declare class ZoomHandler {
    /** @ignore */
    handler: Handler;
    /** @ignore */
    private coefficient;
    /** @ignore */
    private minZoom;
    /** @ignore */
    private maxZoom;
    /** @ignore */
    constructor(handler: Handler);
    private stepNum;
    /**
     * 当前视窗设置为最佳视角
     */
    zooToFit(): number;
    /**
     * 视窗设置为100%
     *
     */
    zoomOneToOne(): void;
    /**
     * 根据输入的数字大小改变，参数范围0-1
     */
    zoomToNumber(number: number): void;
    /**
     * 获取当前视窗大小
     */
    getZoom(): number;
    /**
     * 缩小
     */
    zoomOut(): number;
    /**
     * 放大
     */
    zoomIn(): number;
    /**
     * 返回画布可以显示的最大值
     */
    getScaleMax(): number;
    /**
     * 判断内容是否超出视窗范围
     */
    isOutsideViewport(): boolean;
    /**
     * 所有内容都可以在画布中显示时，将所有内容居中
     */
    centerViewport(): void;
    resetWorkareaControl(): void;
}
export default ZoomHandler;
